Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.yahoo
Interface IYahooSession

All Superinterfaces:
  IImSession, ISession, java.io.Serializable

public interface IYahooSession
extends IImSession

Extends the IM schema's `ImSession` with additional instant messaging specific functionality.

An example of using the Yahoo session

Sample code:

        HashMap props = new HashMap ();

        props.put (ISession.PROP_PROVIDER, "yahoo");
        props.put (IImSession.PROP_IM_USERNAME, "myusername");
        props.put (IImSession.PROP_IM_PASSWORD, "mypassword");
        props.put (IImSession.PROP_IM_PROTOCOL, "tcp");

        IYahooSession session = (IYahooSession) SessionFactory.createSession( props );

        session.login();

Fields inherited from interface com.compoze.collab.im.IImSession
`PROP_IM_PASSWORD, PROP_IM_PORT, PROP_IM_PROTOCOL, PROP_IM_SERVER, PROP_IM_USERNAME`

Fields inherited from interface com.compoze.collab.ISession
`PROP_ADMIN_LOCALE, PROP_AUTO_FETCH, PROP_CACHE_DEPENDENCY_CHECK_MILLIS, PROP_CACHE_ENABLED, PROP_CACHE_QUERY_MAX, PROP_CACHE_UPDATE_MILLIS, PROP_CACHE_USE_SOFT_REFERENCES, PROP_LOCALE, PROP_LOG_LEVEL, PROP_PROGRAMMER_LOCALE, PROP_PROVIDER, PROP_SCHEMA, PROPVALUE_REMOVE, STATE_AUTHENTICATED, STATE_INITIALIZED, STATE_OPEN, STATE_UNINITIALIZED`

Method Summary
`void` | `setBackgroundPoll(boolean bBackgroundPoll)` Sets the background poll option.
`void` | `setCustomStatusBusy(boolean bBusy)` Sets whether or not the custom status message represents a busy status.
`void` | `setCustomStatusMessage(java.lang.String sMessage)` Sets a custom status message for the user.

Methods inherited from interface com.compoze.collab.im.IImSession
`addImListener, removeImListener, setPresence, setTypingStatus, setTypingStatus`

Methods inherited from interface com.compoze.collab.ISession
`addLogListener, close, endProfile, endTimer, endTimer, getAdminLocale, getAttribute, getDefaultRootContainer, getDefaultRootContainer, getLocale, getLogLevel, getOption, getOptions, getProgrammerLocale, getProperty, getProvider, getState, invalidateCache, isCapabilitySupported, log, login, login, logout, open, open, removeAttribute, setAdminLocale, setAttribute, setLocale, setLogLevel, setOption, setOptions, setProgrammerLocale, startProfile, startProfile, startTimer, startTimer`

Method Detail

### setBackgroundPoll

    public void setBackgroundPoll(boolean bBackgroundPoll)
                           throws CollaborationException

  Sets the background poll option. If background poll is `true` (the default), the API uses a background thread to continuously poll the `Yahoo` service for new messages and presence events. Otherwise, that poll happens for new messages when `IContainer.getItems()` is called on the messages container and for presence changes when it's called on the friends container.
  Parameters:
    `bBackgroundPoll` - if `true`, enable background polling

### setCustomStatusMessage

    public void setCustomStatusMessage(java.lang.String sMessage)
                                throws CollaborationException

  Sets a custom status message for the user. Custom statuses are provider specific and defined in corresponding provider extensions to this `FriendStatusEnum`. The presence information is not actually updated in the IM system until `IImSession.setPresence(com.compoze.collab.im.FriendStatus)` is called.
  Parameters:
    `sMessage` - the custom status message (not `null`)

### setCustomStatusBusy

    public void setCustomStatusBusy(boolean bBusy)
                             throws CollaborationException

  Sets whether or not the custom status message represents a busy status. Custom statuses are provider specific and defined in corresponding provider extensions to this `FriendStatusEnum`. The presence information is not actually updated in the IM system until `IImSession.setPresence(com.compoze.collab.im.FriendStatus)` is called.
  Parameters:
    `bBusy` - if `true`, then the custom message represents a busy status

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 Compoze Software, Inc. All rights reserved.